GODOT(6)

NAME
godot - multi-platform 2D and 3D game engine with a feature-rich editor

SYNOPSIS
godot [options] [path to scene or 'engine.cfg' file]

DESCRIPTION
Godot Engine is an advanced, feature-packed, multi-platform 2D and 3D game engine.
It provides a huge set of common tools, so you can just focus on making your game without reinventing the wheel.

OPTIONS

-h, -help
    Print these usage instructions.

-path <dir>
    Path to a game, containing engine.cfg.

-e, -editor
    Bring up the editor instead of running the scene.

-test <test>
    Run a test (string, containers, math, render, particles, multimesh, gui, io, shaderlang, physics).

-r <width>x<height>
    Request window resolution.

-p <X>x<Y>
    Request window position.

-f  Request fullscreen.

-mx Request maximized.

-w  Request windowed.

-vd <driver>
    Video driver (GLES2).

-ldpi
    Force low-dpi mode (OSX only).

-ad <driver>
    Audio driver (PulseAudio, ALSA).

-rthread <mode>
    Render thread mode ('unsafe', 'safe', 'separate').

-s, -script <script>
    Run a script.

-d, -debug
    Debug (local stdout debugger).

-rdebug <address>
    Remote debug (<ip>:<port> host address).

-fdelay <msec>
    Simulate high CPU load (delay each frame by [msec]).

-timescale <msec>
    Define custom timescale (time between frames in [msec]).

-bp Breakpoint list as source::line comma separated pairs, no spaces (%20 instead).

-v  Verbose stdout mode.

-lang <locale>
    Use a specific locale.

-rfs <host/ip>[:<port>]
    Remote filesystem.

-rfs_pass <password>
    Password for remote filesystem.

-dch
    Disable crash handler when supported by the platform code.

-doctool <file>
    Dump the whole engine api to <file> in XML format. If <file> exists, it will be merged.

-nodocbase
    Disallow dump the base types (used with -doctool).

-optimize <file>
    Save an optimized copy of scene to <file>.

-optimize_preset <preset>
    Use a given preset for optimization.

-export <target>
    Export the project using given export target.

FILES
~/.godot/
    User-specific configuration and cache folder, contains persistent editor and game configuration and saved files, temporary metadata, etc.
~/.godot/app_userdata/
    Contains the default configuration and user data folders for Godot-made games (user:// path).
~/.godot/templates/
    Installation folder for "export templates", compiled binaries of the engine to deploy on the many supported platforms.
/usr/share/doc/godot/
    Additional documentation files.
/usr/share/licenses/godot/
    Detailed licensing information.

SEE ALSO
See the project website at https://godotengine.org and the source code repository at https://github.com/godotengine/godot for more details.

BUGS
Godot Engine is a free and open source project and welcomes any kind of contributions. In particular, you can report issues or make suggestions on Godot's issue tracker at https://github.com/godotengine/godot/issues.

AUTHOR
Man page written by Rémi Verschelde <akien@godotengine.org> on behalf of the Godot Engine development team.